AnnotationControllerReplyAnnotation Method (Guid, NullableGuid) |
DELETE /Annotation/{id}
Deletes an annotation.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpDeleteAttribute]
[ActionNameAttribute("Index")]
public HttpResponseMessage ReplyAnnotation(
Guid id,
Nullable<Guid> sessionId = null
)<HttpDeleteAttribute>
<ActionNameAttribute("Index")>
Public Function ReplyAnnotation (
id As Guid,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpDeleteAttribute]
[ActionNameAttribute(L"Index")]
HttpResponseMessage^ ReplyAnnotation(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpDeleteAttribute>]
[<ActionNameAttribute("Index")>]
member ReplyAnnotation :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the annotation to delete. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessageStatus code indicating success or a reason for operation failure.
See Also